Firefox estää vanhentuneiden Java-lisäosien käytön

Kirjoittaja Teemu Laitila @ 5.4.2012 19:02 Kommentteja (1)

Firefox estää vanhentuneiden Java-lisäosien käytön Mozilla on lisännyt vanhentuneet Java-lisäosat Firefox-selaimen mustalle listalle, johon kerätään käyttäjän kannalta vaaralliset lisäosat. Syynä ovat vanhemmista Java-versioista löytyvät kriittiset haavoittuvuudet.
Javan kehittäjä Oracle paikkasi helmikuussa jopa 14 kriittiseksi luokiteltu haavoittuvuutta, joista ainakin yksi mahdollistaa hyökkääjän oman koodin suorittamisen käyttäjän koneessa. Vanhentunut Java-versio kuitenkin löytyy edelleen monilta käyttäjiltä. Mozillan mukaan haavoittuvuuksia hyödynnetäänkin aktiivisesti koko ajan.

Mustalle listalle joutuivat Java-liitännäisen Windows-version numero 6 päivityksestä 30 taaksepäin sekä versio 7 päivityksestä 2 alaspäin. Mozilla kehottaa käyttäjiä päivittämään Java-liitännäisen.

Windowsin ja Linuxin JRE-paketin uusimman version voi ladata Oraclen viralliselta Java-sivulta.

AfterDawnin diilit uutiskirjeenä!

Etsimme jatkuvasti hyviä tietotekniikan ja kännyköiden diilejä ympäri nettiä ja uutisoimme niistä sivuillamme. Jos haluat saada tiedon uusista diileistä heti sähköpostiisi, tilaa diilien uutiskirjeemme.

Tilaamalla uutiskirjeemme hyväksyt sääntömme ja tietosuojakäytäntömme.

Tägit: Java
Edellinen Seuraava  

1 kommentti

15.4.2012 21:12

Ihan oikein. Luultavasti tulemme näkemään jotain vastaavaa myös muille liitännäisille kuten flashille. Yksi parhaista turva-ominaisuuksista koska koska taitaapi olla valtaosa saastuttamisista kun tehdään vanhojen lisäosien kautta.

Tämän uutisen kommentointi ei ole enää mahdollista.

Uutisarkisto